Skip to main content
POST
/
api
/
public
/
instagram
/
accounts
/
{instagramAccountId}
/
automations
Create a comment automation
curl --request POST \
  --url https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/automations \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '{}'

Headers

x-api-key
string
required

API key required to authorize the request

Path Parameters

instagramAccountId
string
required

Vambe Instagram account id

Body

application/json
type
enum<string>
required
Available options:
private,
comment,
delete,
multiple
name
string | null
conditionPrompt
string | null
activationType
enum<string>
default:ai_condition
Available options:
ai_condition,
keywords
keywords
string[] | null
stageId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
dmInstruction
string | null
commentInstruction
string | null
promptContext
string | null
isFuture
boolean
default:false
mode
enum<string>
default:intelligent
Available options:
intelligent,
lite
postId
string | null
Minimum string length: 1

Response

Automation created.